---
title: Devices Endpoints (2017/01)
slug: legacy-docs/devices-endpoints-201701
docTags: 
createdAt: 2025-03-11T07:03:32.130Z
---

This endpoint allows for management and monitoring of devices on the network.

**Base URL for these endpoints:**  *https\://api.brightsignnetwork.com/2017/01/REST/Devices*

## GET /

Retrieves a list of devices on the network.

**Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

`sort`  string

An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "`[Device].[Serial] ASC`")

`marker`  string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of Device instances exceeds the `pageSize`.

`pageSize` int

The maximum number of Device instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a [paged list](docId\:yN3GU-aSyfiSjdxgbJdVB) of [Device Entity](docId\:S8FT5mV--m2461imNvdI2) instances on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

## DELETE /

Removes devices, specified by a filter, from a network. This allows multiple devices to be deleted at once.

**Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the number of affected devices as an integer value.

## GET /Regions/\{\*locationPath}/ 

Returns a region which contains all the players located in the specified path.

**Parameters**

`locationPath` string

The parts of the returned player location path (country, province, city, etc.) that are common to all players. 

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Device Region Entity](docId\:FvpmTod58odaGO6usivIj)

## GET /Count/ 

Retrieves the number of devices on the network matching the specified filter criteria. If no filter is included, this call returns the total number of devices on the network. 

**Parameters**

`filter` string

An [expression](docId\:l8MFvfDgHPY9xgiuQuWCM) for filtering search results

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

The device count is returned as an integer value.

## GET  /\{id\:int}/ 

Return the information for a device, specified by device id, on a network

**Parameters**

`id` int

A unique identifier for the device instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Device Entity](docId\:S8FT5mV--m2461imNvdI2)

## PUT  /\{id\:int}/ 

Update the specified device (specified by id).

**Parameters**

`id` int

A unique identifier for the device instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Device Entity](docId\:S8FT5mV--m2461imNvdI2)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `id` is `12345`

```none
PUT /2017/01/REST/Devices/12345/ HTTP/1.1
Host: api.brightsignnetwork.com
Connection: Keep-Alive
Authorization: Bearer {UserAccessToken}
Content-Type: application/json
Content-Length: 3584
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

This is the example request body:

```json
{
  "id": 12345,
  "serial": "46D89C101139",
  "name": "My Player Name",
  "concatUnitNameAndSerial": false,
  "description": "My Player Description",
  "currentSubscription": null,
  "targetGroup": {
    "id": 54321,
    "name": "Default"
  },
  "taggedGroups": null,
  "targetBrightWall": null,
  "targetBrightWallScreenNumber": null,
  "reportedGroup": null,
  "reportedBrightWall": null,
  "reportedBrightWallScreenNumber": null,
  "presentation": null,
  "model": null,
  "family": null,
  "lastModifiedDate": "0001-01-01T00:00:00",
  "autorun": null,
  "firmwareVersion": null,
  "cardSize": null,
  "cardFreeSize": null,
  "targetTimeZone": "EST",
  "reportedTimeZone": null,
  "screenColor": "",
  "contentCheckPeriod": "ThirtySeconds",
  "contentDownloadsStartTime": null,
  "contentDownloadsEndTime": null,
  "healthReportingPeriod": "FiveMinutes",
  "healthReportingStartTime": null,
  "healthReportingEndTime": null,
  "lastContentCheckTime": "0001-01-01T00:00:00",
  "lastSyncSpecProcessedTime": "0001-01-01T00:00:00",
  "lastContentDownloadStartTime": "0001-01-01T00:00:00",
  "lastContentDownloadEndTime": "0001-01-01T00:00:00",
  "lastHeartbeatTime": "0001-01-01T00:00:00",
  "lastErrorTime": "0001-01-01T00:00:00",
  "uptime": "00:00:00",
  "healthStatus": "NoSubscriptions",
  "networkSettings": {
    "hostname": null,
    "proxyServer": null,
    "proxyBypass": null,
    "timeServer": "ntp://time.brightsignnetwork.com/",
    "wired": {
      "useDHCP": false,
      "ipAddress": "192.168.0.2",
      "subnetMask": "255.255.0.0",
      "defaultGateway": "192.168.0.1",
      "dns1": "192.168.0.1",
      "dns2": "",
      "dns3": "",
      "rateLimitInsideContentDownloadWindow": 0,
      "rateLimitOutsideContentDownloadWindow": 0,
      "rateLimitDuringInitialDownloads": 0,
      "contentDownloadEnabled": true,
      "textFeedsDownloadEnabled": true,
      "mediaFeedsDownloadEnabled": true,
      "healthReportingEnabled": true,
      "logsUploadEnabled": true
    },
    "wireless": {
      "enabled": true,
      "ssid": "sample",
      "passphrase": "encrypt:p@ssw0rd",
      "useDHCP": false,
      "ipAddress": "10.10.10.2",
      "subnetMask": "255.255.255.0",
      "defaultGateway": "10.10.10.1",
      "dns1": "8.8.8.8",
      "dns2": "4.4.4.4",
      "dns3": "",
      "rateLimitInsideContentDownloadWindow": 0,
      "rateLimitOutsideContentDownloadWindow": 0,
      "rateLimitDuringInitialDownloads": 0,
      "contentDownloadEnabled": true,
      "textFeedsDownloadEnabled": true,
      "mediaFeedsDownloadEnabled": true,
      "healthReportingEnabled": true,
      "logsUploadEnabled": true
    },
    "wiredConnectionPriority": 0,
    "wirelessConnectionPriority": 1
  },
  "remoteSnapshotSettings": {
    "enabled": false,
    "captureInterval": "00:15:00",
    "screenShotsCountLimit": 5,
    "imageQuality": 50,
    "screenOrientation": "Landscape"
  },
  "logsSettings": {
    "enableDiagnosticLog": true,
    "enableEventLog": true,
    "enablePlaybackLog": false,
    "enableStateLog": false,
    "enableVariableLog": false,
    "uploadAtBoot": false,
    "uploadTime": null
  },
  "diagnosticWebServerSettings": {
    "enabled": true,
    "password": "encrypt:p@ssw0rd"
  },
  "localWebServerSettings": {
    "enabled": false,
    "userName": "",
    "password": "",
    "enableUpdateNotifications": false
  },
  "deviceLocation": null,
  "forceReboot": false,
  "forceRecovery": false,
  "forceReformat": false,
  "forceLogUpload": false,
  "beacons": [],
  "tags": {
    "string::[Device].<Key1>": "Value1"
  },
  "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{id\:int}/ 

Delete the specified devices (devices are specified by id)

**Parameters**

`id` int

A unique identifier for the device instance 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;serial}/ 

Return the specified device information (specified by serial number)

**Parameters**

`serial` string

The device serial number 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Device Entity](docId\:S8FT5mV--m2461imNvdI2)

## PUT  /&#x7B;serial}/ 

Update a device, specified by serial number, on a network.

**Parameters**

`serial` string

The device serial number

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Device Entity](docId\:S8FT5mV--m2461imNvdI2)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `serial` is `46D89C101139`

```none
PUT /2017/01/REST/Devices/46D89C101139/ HTTP/1.1
Host: api.brightsignnetwork.com
Connection: Keep-Alive
Authorization: Bearer {UserAccessToken}
Content-Type: application/json
Content-Length: 3584
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

This is the example request body:

```json
{
  "id": 12345,
  "serial": "46D89C101139",
  "name": "My Player Name",
  "concatUnitNameAndSerial": false,
  "description": "My Player Description",
  "currentSubscription": null,
  "targetGroup": {
    "id": 54321,
    "name": "Default"
  },
  "taggedGroups": null,
  "targetBrightWall": null,
  "targetBrightWallScreenNumber": null,
  "reportedGroup": null,
  "reportedBrightWall": null,
  "reportedBrightWallScreenNumber": null,
  "presentation": null,
  "model": null,
  "family": null,
  "lastModifiedDate": "0001-01-01T00:00:00",
  "autorun": null,
  "firmwareVersion": null,
  "cardSize": null,
  "cardFreeSize": null,
  "targetTimeZone": "EST",
  "reportedTimeZone": null,
  "screenColor": "",
  "contentCheckPeriod": "ThirtySeconds",
  "contentDownloadsStartTime": null,
  "contentDownloadsEndTime": null,
  "healthReportingPeriod": "FiveMinutes",
  "healthReportingStartTime": null,
  "healthReportingEndTime": null,
  "lastContentCheckTime": "0001-01-01T00:00:00",
  "lastSyncSpecProcessedTime": "0001-01-01T00:00:00",
  "lastContentDownloadStartTime": "0001-01-01T00:00:00",
  "lastContentDownloadEndTime": "0001-01-01T00:00:00",
  "lastHeartbeatTime": "0001-01-01T00:00:00",
  "lastErrorTime": "0001-01-01T00:00:00",
  "uptime": "00:00:00",
  "healthStatus": "NoSubscriptions",
  "networkSettings": {
    "hostname": null,
    "proxyServer": null,
    "proxyBypass": null,
    "timeServer": "ntp://time.brightsignnetwork.com/",
    "wired": {
      "useDHCP": false,
      "ipAddress": "192.168.0.2",
      "subnetMask": "255.255.0.0",
      "defaultGateway": "192.168.0.1",
      "dns1": "192.168.0.1",
      "dns2": "",
      "dns3": "",
      "rateLimitInsideContentDownloadWindow": 0,
      "rateLimitOutsideContentDownloadWindow": 0,
      "rateLimitDuringInitialDownloads": 0,
      "contentDownloadEnabled": true,
      "textFeedsDownloadEnabled": true,
      "mediaFeedsDownloadEnabled": true,
      "healthReportingEnabled": true,
      "logsUploadEnabled": true
    },
    "wireless": {
      "enabled": true,
      "ssid": "sample",
      "passphrase": "encrypt:p@ssw0rd",
      "useDHCP": false,
      "ipAddress": "10.10.10.2",
      "subnetMask": "255.255.255.0",
      "defaultGateway": "10.10.10.1",
      "dns1": "8.8.8.8",
      "dns2": "4.4.4.4",
      "dns3": "",
      "rateLimitInsideContentDownloadWindow": 0,
      "rateLimitOutsideContentDownloadWindow": 0,
      "rateLimitDuringInitialDownloads": 0,
      "contentDownloadEnabled": true,
      "textFeedsDownloadEnabled": true,
      "mediaFeedsDownloadEnabled": true,
      "healthReportingEnabled": true,
      "logsUploadEnabled": true
    },
    "wiredConnectionPriority": 0,
    "wirelessConnectionPriority": 1
  },
  "remoteSnapshotSettings": {
    "enabled": false,
    "captureInterval": "00:15:00",
    "screenShotsCountLimit": 5,
    "imageQuality": 50,
    "screenOrientation": "Landscape"
  },
  "logsSettings": {
    "enableDiagnosticLog": true,
    "enableEventLog": true,
    "enablePlaybackLog": false,
    "enableStateLog": false,
    "enableVariableLog": false,
    "uploadAtBoot": false,
    "uploadTime": null
  },
  "diagnosticWebServerSettings": {
    "enabled": true,
    "password": "encrypt:p@ssw0rd"
  },
  "localWebServerSettings": {
    "enabled": false,
    "userName": "",
    "password": "",
    "enableUpdateNotifications": false
  },
  "deviceLocation": null,
  "forceReboot": false,
  "forceRecovery": false,
  "forceReformat": false,
  "forceLogUpload": false,
  "beacons": [],
  "tags": {
    "string::[Device].<Key1>": "Value1"
  },
  "permissions": []
}
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;serial}/ 

Delete the specified devices (devices are specified by serial number)

**Parameters**

`serial` string 

The device serial number 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /\{deviceId\:int}/Beacons/\{beaconId\:int?}/ 

Returns a list of Apple, EddystoneUrl, or Eddystone Uid device beacons associated with a specified device.

**Parameters**

`deviceId` int

The unique identifier for the device instance

`beaconId` int

The unique identifier of the device beacon

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Device Beacon Entity](docId\:Ef5DBJG-Mdt_EuXd_k-OB)

## GET  /&#x7B;serial}/Beacons/\{beaconId\:int?}/ 

Returns a list of Apple, EddystoneUrl, or Eddystone Uid device beacons associated with a specified device.

**Parameters**

`serial` string

The serial number for the device instance

`beaconId` int

The unique identifier of the device beacon

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Device Beacon Entity](docId\:Ef5DBJG-Mdt_EuXd_k-OB)

## POST  /\{id\:int}/Beacons/ 

Create a device beacon.

**Parameters**

`id` int

A unique identifier for the device instance 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Device Beacon Entity](docId\:Ef5DBJG-Mdt_EuXd_k-OB)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a 201 status code and the new resource created and referenced by the Uri (given by the location header field) in the response. The response includes the [Device Beacon Entity](docId\:Ef5DBJG-Mdt_EuXd_k-OB).

## POST  /&#x7B;serial}/Beacons/ 

Create a device beacon.

**Parameters**

`serial` string

The serial number of the device instance 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Device Beacon Entity](docId\:Ef5DBJG-Mdt_EuXd_k-OB)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a 201 status code and the new resource created and referenced by the Uri (given by the location header field) in the response. The response includes the [Device Beacon Entity](docId\:Ef5DBJG-Mdt_EuXd_k-OB).

## DELETE  /\{deviceId\:int}/Beacons/\{beaconId\:int}/ 

Delete a specified device beacon from a specified device.

**Parameters**

`deviceId` int

A unique identifier for the device instance

`beaconId` int

The unique identifier of the device beacon

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;serial}/Beacons/\{beaconId\:int}/ 

Delete a specified device beacon from a specified device.

**Parameters**

`serial` string

The serial number of the device instance

`beaconId` int

The unique identifier of the device beacon

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /\{id\:int}/Errors/ 

Returns a list of errors associated with the specified device.

**Parameters**

`id` int

A unique identifier for the device that is reporting the errors

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of error instances exceeds the `pageSize`.

`pageSize` int 

The maximum number of error instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Device Error Entity](docId:4PtUWgRWgZPw3vYoqu0Xh)

## GET  /&#x7B;serial}/Errors/ 

Returns a list of errors associated with a device (specified by serial number).

**Parameters**

`serial` string 

The serial number of the device that is reporting the errors

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of Error instances exceeds the `pageSize`.

`pageSize` int

The maximum number of Error instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Device Error Entity](docId:4PtUWgRWgZPw3vYoqu0Xh)

## GET  /\{id\:int}/Downloads/ 

Returns the downloads associated with a device (specified by device id).

**Parameters**

`id`  int

The unique identifier for the device that has the download instances

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of download instances exceeds the `pageSize`.

`pageSize` int

The maximum number of download instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Device Download Entity](docId\:tS_gpkwt-z0Vqu32CQj43)

## GET  /&#x7B;serial}/Downloads/ 

Returns a list of downloads carried out by a device (specified by serial number).

**Parameters**

`serial` string

The serial number of the device that has the download instances

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of download instances exceeds the `pageSize`.

`pageSize` int

The maximum number of download instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Device Download Entity](docId\:tS_gpkwt-z0Vqu32CQj43)

## GET  /\{id\:int}/ScreenShots/ 

Returns a list of screenshots uploaded by a device (specified by device id)

**Parameters**

`id` int

A unique identifier for the device instance

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of Screenshot instances exceeds the `pageSize`.

`pageSize` int

The maximum number of Screenshot instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [DeviceScreenShot Entity](docId\:irlfSb6bZzEf0172w4Uqg)

## GET  /&#x7B;serial}/ScreenShots/ 

Returns a list of screenshots uploaded by a device (specified by device serial number).

**Parameters**

`serial` string

The device serial number

`marker` string

A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of Screenshot instances exceeds the `pageSize`.

`pageSize` int

The maximum number of Screenshot instances that can be contained in the response body

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [DeviceScreenShot Entity](docId\:irlfSb6bZzEf0172w4Uqg)

## GET /\{id\:int}/Tags/ 

Returns a list of tags associated with a specified device 

**Parameters**

`id` int

A unique identifier for the device instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

A collection of key value pairs where the key is tag name, and the value is tag value. See the `Tags` entry in [Device Entity](docId\:S8FT5mV--m2461imNvdI2) for more information.

## POST /\{id\:int}/Tags/ 

Adds tags to a specified device (specified by device id).

**Parameters**

`id` int

A unique identifier for the device instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

`tags` Dictionary\<string, string>

Creates one or more tags. The specified tags must not be previously defined since this method won't override existing tag values. See the `Tags` entry in [Device Entity](docId\:S8FT5mV--m2461imNvdI2) for more information.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{id\:int}/Tags/ 

Remove tags from a specified device (specified by device id).

**Parameters**

`id` int

A unique identifier for the device instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

`list` List

:::Iframe{code="<string>"}

:::

A list of tag keys

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;serial}/Tags/ 

Returns a list of tags associated with a specified device (specified by device serial number).

**Parameter**

`serial` string

The serial number of the device

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

A collection of key value pairs where the key is tag name, and the value is tag value. See the `Tags` entry in [Device Entity](docId\:S8FT5mV--m2461imNvdI2) for more information.

## POST  /&#x7B;serial}/Tags/ 

Adds one or more tags to a specified device (specified by device serial number).

**Parameter**

`serial` string

The serial number of the device

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

`tags` Dictionary\<string, string>

Creates one or more tags. The specified tags must not be previously defined since this method won't override existing tag values. See the `Tags` entry in [Device Entity](docId\:S8FT5mV--m2461imNvdI2) for more information.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;serial}/Tags/ 

Removes one or more tags from a specified device (specified by device serial number).

**Parameters**

`serial` string

The serial number of the device

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

`list` List

:::Iframe{code="<string>"}

:::

A list of tag keys

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /Models/ 

Returns the complete list of supported models.

**Parameter**

`model` string

The player model 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the complete list of player models that are supported on this API version

## GET  /Models/&#x7B;model}/Connectors/ 

Returns the list of connectors available on a given device model. To implement this resource, you should first run `/Devices/Models/`.

**Parameter**

`model` string

The player model 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_ 

**Response Body**

Returns the list of connectors available on a given device model

## GET  /Models/&#x7B;model}/Connectors/&#x7B;connector}/VideoModes/ 

Returns the [Video Modes](docId\:QpML112mBhEK7LBDGUxnv) supported by the specified connector on the specified device model. To implement this resource, you should first run `/Devices/Models/Connectors/`.

**Parameters**

`model` string

The player model 

`connector` string

The video connector (for example, "HDMI" or "DisplayPort")

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

The response body is an array of strings listing [Video Modes](docId\:QpML112mBhEK7LBDGUxnv) supported by the specified connector on the specified device model.

## GET  /Operations/ 

Returns operational permissions granted to roles for specific business operations

**Response Body**

Returns the [Business Operations Entity](docId\:FwDUJPp-AohPF3RES_SZ_)

## GET  /\{id\:int}/Permissions/ 

Includes object permissions for a given device instance.

**Parameters**

`id` int

A unique identifier for the device instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

## POST  /\{id\:int}/Permissions/ 

Add permissions to a specified device (specified by device id).

**Parameters**

`id` int

A unique identifier for the device instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /\{id\:int}/Permissions/ 

Delete permissions from a specified device (specified by device id).

**Parameters**

`id` int

A unique identifier for the device instance

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /&#x7B;serial}/Permissions/ 

Includes object permissions for a given device instance.

**Parameters**

`serial` string

The serial number of the device

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response**

Returns the [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

## POST  /&#x7B;serial}/Permissions/ 

Add permissions to a device which is specified by serial number

**Parameters**

`serial` string

The serial number of the device

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## DELETE  /&#x7B;serial}/Permissions/ 

Delete permissions from a specified device (specified by serial number)

**Parameters**

`serial` string

The serial number of the device

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX
